# Class WindowContainerComponent

#### Implements

- OnInit

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:61

#####
Index

### Constructors

constructor

### Properties

containerRef
context
footerContent
height
width
windowContainerResizer
windowInstance
windowRef

### Accessors

id

### Methods

ngOnInit
onDragEnded

##
Constructors

### constructor

- new WindowContainerComponent(): WindowContainerComponent

  #### Returns WindowContainerComponent

##
Properties

### containerRef

containerRef: ElementRef

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:65

### `Readonly` context

context: WindowContext<any> = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:72

### footerContent

footerContent: ElementRef

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:63

### height

height: Signal<string>

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:69

### width

width: Signal<string>

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:68

### windowContainerResizer

windowContainerResizer: WindowResizerComponent

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:66

### `Readonly` windowInstance

windowInstance: LoadingIndicatorService = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:74

### `Readonly` windowRef

windowRef: WindowRef<any, any> = ...

- Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:73

##
Accessors

### id

- get id(): string

  #### Returns string

  - Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:77

##
Methods

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:81

### onDragEnded

- onDragEnded($event: CdkDragEnd): void

  #### Parameters

  - $event: CdkDragEnd

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-container/window-container.component.ts:101